%global git_rev de17e67d46548a20710a42944f0dea748f1c59b9

Name:           signon-glib
Version:        1.9
Release:        4%{?dist}
Summary:        Single signon authentication library for GLib applications

License:        LGPLv2+
URL:            https://gitlab.com/accounts-sso/libgsignon-glib

Source0:        https://gitlab.com/accounts-sso/libgsignon-glib/repository/archive.tar.gz?ref=%{version}#/%{name}-%{version}.tar.gz

## upstreamable patches
# prevent overlinking, where only headers are needed
Patch1: gsignon-glib-1.9-pkgconfig_private.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  libtool
BuildRequires:  glib2-devel
BuildRequires:  signon-devel
BuildRequires:  gtk-doc
BuildRequires:  gobject-introspection-devel

# Python support
#BuildRequires:  pygobject2-devel

%description
This project is a library for managing single signon credentilas which can be
used from GLib applications. It is effectively a GLib binding for the D-Bus API
provided by signond. It is part of the accounts-sso project.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n libgsignon-glib-%{version}-%{git_rev}

%patch1 -p1 -b .pkgconfig_private

%build
NOCONFIGURE=1 ./autogen.sh
%configure
# parallel build can break due to generated files
make -j1

%install
make install DESTDIR=%{buildroot}

# Remove static library
rm -fv %{buildroot}%{_libdir}/libsignon-glib.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README NEWS
%license COPYING
%{_libdir}/libsignon-glib.so.1*

%files devel
%{_includedir}/libsignon-glib/
%{_libdir}/libsignon-glib.so
%{_libdir}/pkgconfig/libsignon-glib.pc
%{_libdir}/girepository-1.0/Signon-1.0.typelib
%{_datadir}/gir-1.0/Signon-1.0.gir
%{_datadir}/vala/vapi/signon.vapi

%changelog
* Wed Oct 14 2015 Rex Dieter <rdieter@fedoraproject.org> - 1.9-4
- NOCONFIGURE=1 autogen.sh, track lib soname
- pkgconfig_private.patch: avoid overlinking

* Wed Oct 14 2015 Daniel Vrátil <dvratil@redhat.com> - 1.9-3
- fix license
- fix versions in changelog

* Tue Oct 13 2015 Daniel Vrátil <dvratil@redhat.com> - 1.9-2
- Fix dependencies

* Thu Aug 27 2015 Daniel Vrátil <dvratil@redhat.com> - 1.9-1
- Initial version
